[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Problems installing the swig-py bindings

From: Eric Gillespie <epg_at_pretzelnet.org>
Date: 2004-01-13 19:36:54 CET

Richard Barrett <r.barrett@ftel.co.uk> writes:

> bash-2.05# make swig-py
> /bin/bash /var/ftel-apache-build/32bit/apache2/svn-latest-20040112/svn/libtool --silent --mode=compile -DSOLARIS2=9 -D_POSIX_PTHREAD_SEMANTICS
                          ^^

Where i have marked, right after --mode=compile, should be the
compiler command. Somehow SWIG_PY_COMPILE isn't being set for
you. See if config.log has more information. I would guess that
configure did not like your Python and/or SWIG version.

> I see a similar problem in this list's archive but no solution:
> http://subversion.tigris.org/servlets/ReadMsg?list=users&msgId=300374

Same problem for that poster.

> Referring back to that INSTALL file comments on the SWIG
> installation, it says "In particular, you want to make sure
> that libswig_py.so was built and installed ...". Well it
> wasn't

Then your build will not succeed. Address that problem first.

> but the SWIG ./configure and make did not report any
> problems.

This is a problem...

--
Eric Gillespie <*> epg@pretzelnet.org

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Tue Jan 13 19:36:04 2004

This is an archived mail posted to the Subversion Users mailing list.